;------------------------------------------------------------------------------
; raw2l1 user configuration file
;
;  ___  __   _   _  ___ _   __
; | _ \/  \ | | | |(_  | | /  |
; | v / /\ || 'V' | / /| |_`7 |
; |_|_\_||_|!_/ \_!|___|___||_|
;
; version: 2.1.19
; SIRTA IPSL/CNRS/EP 2014-2016
;------------------------------------------------------------------------------

; General configuration of the processing
;------------------------------------------------------------------------------
[conf]
reader_dir = reader
reader = leosphere_wls7
netcdf_format = NETCDF4

; Special option for the reader (optional)
;------------------------------------------------------------------------------
[reader_conf]
missing_float = -999.
missing_int = -9

; Global attribute of the netCDF file
;------------------------------------------------------------------------------
[global]
site_location = Name of measurement station
instrument_id = $reader_data$, IdSystem
institution = $reader_data$, IdClient
principal_investigator = Department responsible for the instrument
instrument_type = WLS7v2
title = A succinct description of what is in the dataset, composed of instrument type and site name
history =
instrument_firmware_version = $reader_data$, Version
source = ground based remote sensing
references =
comment =
Conventions = CF-1.6

; Dimensions
;------------------------------------------------------------------------------
[time]
dim = time
type = $time$
standard_name = time
units = minutes since 1970-01-01 00:00:00 UTC
calendar = standard
bounds = time_bnds
value = $reader_data$, start_time

[range]
dim = range
type = $float$
long_name = range
units = m
value = $reader_data$, range

[nv]
dim = nv
size = $reader_data$, nv

; variables
;------------------------------------------------------------------------------
[time_bnds]
dim = time, nv
type = $time$
units = minutes since 1970-01-01 00:00:00 UTC
calendar = standard
value = $reader_data$, time_bounds

[ws]
type = $double$
standard_name = wind_speed
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, ws

[ws_min]
type = $double$
long_name = wind_speed_minimum
dim = time, range
units = m.s^-1
missing_value = -999.
value = $reader_data$, ws_min

[ws_max]
type = $double$
standard_name = wind_speed_of_gust
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, ws_max

[ws_disp]
type = $double$
long_name = wind_speed_dispersion
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, ws_disp

[wd]
type = $double$
standard_name = wind_from_direction
dim = time, range
units = degree
_FillValue = -999.
missing_value = -999.
value = $reader_data$, wd

[u]
type = $float$
standard_name = northward_wind
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
comment = calculated using ws and wd
value = $reader_data$, u

[v]
type = $float$
standard_name = eastward_wind
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
comment = calculated using ws and wd
value = $reader_data$, v

[w]
type = $double$
standard_name = upward_air_velocity
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, w

[w_disp]
type = $double$
long_name = upward_air_velocity_dispersion
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, w_disp

[data_availability]
type = $double$
long_name = data_availability
dim = time, range
units = percent
missing_value = NaN
value = $reader_data$, data_availability

[CNR]
type = $double$
long_name = Carrier_to_Noise_Ratio
dim = time, range
units = dB
_FillValue = -999.
missing_value = -999.
value = $reader_data$, cnr

[CNR_min]
type = $double$
long_name = Carrier_to_Noise_Ratio_minimum
dim = time, range
units = dB
missing_value = NaN
value = $reader_data$, cnr_min

[DSB]
type = $double$
long_name = Doppler_Spectral_Broadening
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, doppler_speed

[wiper_count]
type = $double$
long_name = wiper_count
dim = time
units = number of wiper swipes by 10 minutes periods
_FillValue = -999.
missing_value = -999.
value = $reader_data$, wiper_count

[internal_temperature]
type = $double$
long_name = system_internal_temperature
dim = time
units = number of wiper swipes by 10 minutes periods
_FillValue = -999.
missing_value = -999.
value = $reader_data$, temp_int

[air_temp]
type = $double$
standard_name = air_temperature
dim = time
units = degree_Celsius
_FillValue = -999.
missing_value = -999.
value = $reader_data$, temp_ext
comment = optional system

[pres]
type = $double$
standard_name = air_pressure
dim = time
units = hPa
_FillValue = -999.
missing_value = -999.
value = $reader_data$, pres
comment = optional system

[rh]
type = $double$
standard_name = relative_humidity
dim = time
units = 1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, rh
comment = optional system